Summary:	Visual diff and merge tool
Summary(pl.UTF-8):	Wizualne narzędzie do oglądania i włączania zmian (diff)
Name:		meld
Version:	3.18.3
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://ftp.gnome.org/pub/GNOME/sources/meld/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	81ab217622f856ee014f6b6c47a198f2
Patch0:		%{name}-desktop.patch
URL:		http://meld.sourceforge.net/
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	python3-modules >= 3.3
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.36
Requires:	gtk+3 >= 3.14
Requires:	gtksourceview3 >= 3.14
Requires:	hicolor-icon-theme
Requires:	pango >= 1:1.26
Requires:	python3-modules >= 3.3
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.14
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meld is a GNOME visual diff and merge tool. It integrates especially
well with CVS. The diff viewer lets you edit files in place (diffs
update dynamically), and a middle column shows detailed changes and
allows merges. The margins show location of changes for easy
navigation, and it also features a tabbed interface that allows you to
open many diffs at once.

%description -l pl.UTF-8
Meld to przeznaczone dla GNOME wizualne narzędzie do oglądania i
włączania zmian (w formacie diff). Integruje się szczególnie dobrze z
CVS. Przeglądarka różnic pozwala modyfikować pliki w miejscu
(dynamicznie uaktualniać), a środkowa kolumna pokazuje szczegółowe
zmiany i pozwala na włączanie. Na marginesach jest pokazane położenie
zmian w celu łatwej nawigacji. Jest dostępny także interfejs z
zakładkami, pozwalający na otwieranie wielu plików diff naraz.

%prep
%setup -q
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py \
	--no-compile-schemas \
	--no-update-icon-cache \
	build --build-base=build-3 \
	install --skip-build \
	--prefix=%{_prefix} \
	--install-purelib=%{py3_sitescriptdir} \
	--install-platlib=%{py3_sitedir} \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{py3_sitescriptdir}/meld-*.egg-info
%dir %{py3_sitescriptdir}/%{name}
%{py3_sitescriptdir}/%{name}/*.py
%{py3_sitescriptdir}/%{name}/__pycache__
%dir %{py3_sitescriptdir}/%{name}/matchers
%{py3_sitescriptdir}/%{name}/matchers/*.py
%{py3_sitescriptdir}/%{name}/matchers/__pycache__
%dir %{py3_sitescriptdir}/%{name}/ui
%{py3_sitescriptdir}/%{name}/ui/*.py
%{py3_sitescriptdir}/%{name}/ui/__pycache__
%dir %{py3_sitescriptdir}/%{name}/vc
%{py3_sitescriptdir}/%{name}/vc/*.py
%{py3_sitescriptdir}/%{name}/vc/__pycache__
%{_iconsdir}/hicolor/*/actions/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_iconsdir}/hicolor/*/apps/meld-version-control.png
%{_iconsdir}/HighContrast/scalable/apps/meld.svg
%{_datadir}/%{name}
%{_datadir}/appdata/meld.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.meld.gschema.xml
%{_datadir}/mime/packages/meld.xml
%{_desktopdir}/%{name}.desktop
%{_mandir}/man1/%{name}.1*
%changelog
* Sun Nov 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/meld.git;a=log;h=master

* Thu Nov 15 2018 Jan Palus <atler@pld-linux.org> 20d4c1b
- up to 3.18.3

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f8953ef
- release 2 (by relup.sh)

* Tue Jun 19 2018 Jan Palus <atler@pld-linux.org> 5025913
- up to 3.18.2

* Sun Apr 29 2018 Jan Palus <atler@pld-linux.org> a286199
- up to 3.18.1

* Mon Feb 12 2018 Jan Palus <atler@pld-linux.org> 58eb858
- up to 3.18.0

* Fri Dec 30 2016 Marcin Banasiak <marcin.banasiak@gmail.com> ad8517f
- Update to 3.16.4

* Sat Oct 01 2016 Jan Palus <atler@pld-linux.org> 4795239
- up to 3.16.3

* Sun Jul 31 2016 Jan Palus <atler@pld-linux.org> 118c8d3
- up to 3.16.2

* Sun Jun 19 2016 Jan Palus <atler@pld-linux.org> 25711f3
- up to 3.16.1

* Sun May 01 2016 Jan Palus <atler@pld-linux.org> c9e07c5
- up to 3.16.0

* Sat Dec 19 2015 Jan Palus <atler@pld-linux.org> 7f499af
- expand %py_install macro to pass additional options to setup.py

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> 6b36fe2
- use new %py_* macros

* Thu Dec 17 2015 Jan Palus <atler@pld-linux.org> 1308d72
- up to 3.15.1

* Mon Oct 19 2015 Jan Palus <atler@pld-linux.org> 73deda1
- up to 3.15.0

* Sun Aug 16 2015 Jan Palus <atler@pld-linux.org> 3137998
- up to 3.14.0

* Sun Jul 12 2015 Jan Palus <atler@pld-linux.org> a7e6122
- up to 3.13.3

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> d8abce5
- up to 3.13.1

* Tue Feb 24 2015 Mateusz Korniak <matkor@pld-linux.org> e211386
-  R: python-pycairo. Rel 2.

* Tue Dec 30 2014 Jan Palus <atler@pld-linux.org> 384f914
- up to 3.12.3

* Thu Nov 27 2014 Jan Palus <atler@pld-linux.org> 1e2c207
- updated Rs based on README and import list

